﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightNavDoughnut.Models
{
    public class Category
    {
        public Category()
        {
            this.Children = new List<Category>();
        }

        public string Label { get; set; }
        public double productionShare { get; set; }


        public List<Category> Children { get; set; }


    }

    public class HierarchalDataCollection : List<Category>
    {
        public HierarchalDataCollection()
        {
            //Main groups -first ring
            this.Add(new Category { Label = "Footwear", productionShare = 46 });
            this.Add(new Category { Label = "Clothing", productionShare = 38 });
            this.Add(new Category { Label = "Accessories", productionShare = 16 });

            //Children - second ring
            this[0].Children.Add(new Category { Label = "Boots", productionShare = 10 });
            this[0].Children.Add(new Category { Label = "Shoes", productionShare = 12 });
            this[0].Children.Add(new Category { Label = "Sneakers", productionShare = 15 });
            this[0].Children.Add(new Category { Label = "Slippers", productionShare = 9 });

            this[1].Children.Add(new Category { Label = "Dresses", productionShare = 8 });
            this[1].Children.Add(new Category { Label = "T-shirts", productionShare = 12 });
            this[1].Children.Add(new Category { Label = "Shirts", productionShare = 8 });
            this[1].Children.Add(new Category { Label = "Pants", productionShare = 10 });

            this[2].Children.Add(new Category { Label = "Bag", productionShare = 7 });
            this[2].Children.Add(new Category { Label = "Jewelry", productionShare = 5 });
            this[2].Children.Add(new Category { Label = "Scarf", productionShare = 4 });

            //third ring: footwear
            this[0].Children[0].Children.Add(new Category { Label = "B1", productionShare = 3 });
            this[0].Children[0].Children.Add(new Category { Label = "B3", productionShare = 3 });
            this[0].Children[0].Children.Add(new Category { Label = "B4", productionShare = 4 });

            this[0].Children[1].Children.Add(new Category { Label = "S1", productionShare = 3 });
            this[0].Children[1].Children.Add(new Category { Label = "S2", productionShare = 5 });
            this[0].Children[1].Children.Add(new Category { Label = "S3", productionShare = 4 });

            this[0].Children[2].Children.Add(new Category { Label = "Sn1", productionShare = 6 });
            this[0].Children[2].Children.Add(new Category { Label = "Sn2", productionShare = 9 });

            this[0].Children[3].Children.Add(new Category { Label = "SL1", productionShare = 2 });
            this[0].Children[3].Children.Add(new Category { Label = "Sl2", productionShare = 4 });
            this[0].Children[3].Children.Add(new Category { Label = "Sl3", productionShare = 3 });

            //third ring:Clothing
            this[1].Children[0].Children.Add(new Category { Label = "d1", productionShare = 3 });
            this[1].Children[0].Children.Add(new Category { Label = "d2", productionShare = 3 });
            this[1].Children[0].Children.Add(new Category { Label = "d3", productionShare = 2 });

            this[1].Children[1].Children.Add(new Category { Label = "t1", productionShare = 5 });
            this[1].Children[1].Children.Add(new Category { Label = "t2", productionShare = 4 });
            this[1].Children[1].Children.Add(new Category { Label = "t3", productionShare = 2 });
            this[1].Children[1].Children.Add(new Category { Label = "t4", productionShare = 1 });

            this[1].Children[2].Children.Add(new Category { Label = "sh1", productionShare = 3 });
            this[1].Children[2].Children.Add(new Category { Label = "sh2", productionShare = 3 });
            this[1].Children[2].Children.Add(new Category { Label = "sh3", productionShare = 2 });

            this[1].Children[3].Children.Add(new Category { Label = "p1", productionShare = 4 });
            this[1].Children[3].Children.Add(new Category { Label = "p2", productionShare = 6 });

            //third ring: Accessories
            this[2].Children[0].Children.Add(new Category { Label = "bag1", productionShare = 2 });
            this[2].Children[0].Children.Add(new Category { Label = "bag2", productionShare = 1 });
            this[2].Children[0].Children.Add(new Category { Label = "bag3", productionShare = 4 });

            this[2].Children[1].Children.Add(new Category { Label = "j1", productionShare = 3 });
            this[2].Children[1].Children.Add(new Category { Label = "j2", productionShare = 2 });

            this[2].Children[2].Children.Add(new Category { Label = "sc1", productionShare = 1 });
            this[2].Children[2].Children.Add(new Category { Label = "sc2", productionShare = 1 });
            this[2].Children[2].Children.Add(new Category { Label = "sc3", productionShare = 1 });
            this[2].Children[2].Children.Add(new Category { Label = "sc4", productionShare = 1 });



        }
    }
}
