﻿using Infragistics;
using Infragistics.Controls.Charts;
using SilverlightNavDoughnut.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SilverlightNavDoughnut
{
    public partial class Home : Page
    {
        public Home()
        {
            InitializeComponent();

            var Categories = LayoutRoot.Resources["source"] as List<Category>;

            this.Doughnut.Series[1].ItemsSource = Categories.SelectMany(x => x.Children).ToList();
            this.Doughnut.Series[2].ItemsSource = Categories.SelectMany(x => x.Children.SelectMany(y => y.Children)).ToList();
        }

        private void DoughnutSliceClicked(object sender, SliceClickEventArgs e)
        {
            e.IsSelected = !e.IsSelected;
        }

        private void RingSeries_Loaded(object sender, RoutedEventArgs e)
        {
            var ringSeries = (sender as RingSeries);
            var count = ringSeries.Ring.ArcItems[0].SliceItems.Count();
            var brushes = ringSeries.Brushes;
            BrushCollection brushesMatch = new BrushCollection();

            for (var i = 0; i < count; i++)
            {
                var childrenCount = (ringSeries.ItemsSource as List<Category>)[i].Children.Count();
                var child = (ringSeries.ItemsSource as List<Category>)[i].Children;

                var brush = brushes[i];

                for (var j = 0; j < childrenCount; j++)
                {
                    Random rand = new Random();

                    if (j % 2 == 0)
                    {
                        double val = Math.Round((rand.NextDouble() / 4), 2);
                        brushesMatch.Add(brush.GetLightened(-val));
                    }
                    else
                    {
                        double val = Math.Round((rand.NextDouble() / 3), 2) + 0.2;
                        brushesMatch.Add(brush.GetLightened(val));
                    }
                }
            }

            ringSeries.Chart.Series[ringSeries.Ring.Index + 1].Brushes = brushesMatch;
        }
    }
}